import request from '@/utils/request'

// 查询
export function list(data) {
  return request({
    url: '/api/zyww/query',
    method: 'post',
    data: data
  })
}
export function listByTitle(data) {
  return request({
    url: '/api/study/findInfoByTitle',
    method: 'post',
    data: data
  })
}


// 查询
export function getDetail(configId) {
  return request({
    url: '/system/config/' + configId,
    method: 'get'
  })
}



// 修改
export function saveOrUpdate(data) {
  return request({
    url: '/api/zyww/saveOrUpdate',
    method: 'post',
    data: data
  })
}

export function sendEmail(data) {
  return request({
    url: '/api/base/send',
    method: 'post',
    data: data
  })
}
export function doApprove(data) {
  return request({
    url: '/api/zyww/approve',
    method: 'post',
    data: data
  })
}

// 删除
export function del(data) {
  return request({
    url: '/api/study/deleteById',
    method: 'post',
    data: data
  })
}
export function cancelUpload(data) {
  return request({
    url: '/api/base/cancelUpload',
    method: 'post',
    data: data
  })
}
